## ide-source-map ide-source-map |

## Functions

#define | IDE_TYPE_SOURCE_MAP
GtkSourceView * | ide_source_map_get_view ()
void | ide_source_map_set_view ()

## Properties

PangoFontDescription * | font-desc | Write
GtkSourceView * | view | Read / Write

## Signals

void | hide-map | Action
void | show-map | Action

## Types and Values

| IdeSourceMap

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkOverlay
                            ╰── IdeSourceMap

## Implemented Interfaces

IdeSourceMap implements AtkImplementorIface and GtkBuildable.

## Description

## Functions

### IDE_TYPE_SOURCE_MAP

    #define IDE_TYPE_SOURCE_MAP            (ide_source_map_get_type())

### ide_source_map_get_view ()

    GtkSourceView *
    ide_source_map_get_view (IdeSourceMap *self);

Gets the “view” property, which is the view this widget is mapping.

#### Returns

A GtkSourceView or `NULL`.

[transfer none][nullable]

### ide_source_map_set_view ()

    void
    ide_source_map_set_view (IdeSourceMap *self,
                             GtkSourceView *view);

## Types and Values

### IdeSourceMap

    typedef struct _IdeSourceMap IdeSourceMap;

## Property Details

### The `“font-desc”` property

      “font-desc”                PangoFontDescription *

The Pango font description to use.

Flags: Write

### The `“view”` property

      “view”                     GtkSourceView *

The view this widget is mapping.

Flags: Read / Write

## Signal Details

### The `“hide-map”` signal

    void
    user_function (IdeSourceMap *idesourcemap,
                   gpointer      user_data)

Flags: Action

### The `“show-map”` signal

    void
    user_function (IdeSourceMap *idesourcemap,
                   gpointer      user_data)

Flags: Action